# -*- coding: utf-8 -*-

@font_family = find_font_family("ＤＦＰ中丸ゴシック体") || @font_family

@title_slide_title_font_size = @x_large_font_size * 0.55

include_theme("newline-in-slides")

@block_quote_image_background_alpha = 0.3

include_theme("clear-blue")

match(Slide, Body) do |bodies|
  bodies.each do |body|
    if body.elements.collect {|element| element.class} == [Paragraph] and
      body.elements.each do |element|
        element.horizontal_centering = true
        if element.text.size > 50
          element.prop_set("size", @large_font_size)
        else
          element.prop_set("size", @x_large_font_size)
        end
        # element.as_large_as_possible("one-paragraph")
      end
    end
    body.margin_left *= 0.7
    body.margin_right *= 0.7
  end
end

match("**", CustomTag) do |tags|
  tags.each do |tag|
    case tag.name
    when "right"
      tag.parent.align = "right"
    end
  end
end

